curl --request PUT \ --url https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <x-api-key>' \ --data '{ "email": "john@example.com", "subject": "How to resolve the pending payments", "description": "I need your help in resolving the pending payments.", "ticket_fields": { "Country": "USA" }, "status": "closed", "priority": "urgent", "category": "Problem", "sub_category_one": "Billing", "sub_category_two": "Refund", "group": "sales", "assignee_email": "oliver@example.com", "tags": [ "refund", "urgent" ], "resolution_due_date": "2025-12-31T23:59:59Z"}'
const options = {
method: 'PUT',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john@example.com',
subject: 'How to resolve the pending payments',
description: 'I need your help in resolving the pending payments.',
ticket_fields: {Country: 'USA'},
status: 'closed',
priority: 'urgent',
category: 'Problem',
sub_category_one: 'Billing',
sub_category_two: 'Refund',
group: 'sales',
assignee_email: 'oliver@example.com',
tags: ['refund', 'urgent'],
resolution_due_date: '2025-12-31T23:59:59Z'
})
};
fetch('https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests
url = "https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id}"
payload = {
"email": "john@example.com",
"subject": "How to resolve the pending payments",
"description": "I need your help in resolving the pending payments.",
"ticket_fields": { "Country": "USA" },
"status": "closed",
"priority": "urgent",
"category": "Problem",
"sub_category_one": "Billing",
"sub_category_two": "Refund",
"group": "sales",
"assignee_email": "oliver@example.com",
"tags": ["refund", "urgent"],
"resolution_due_date": "2025-12-31T23:59:59Z"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
{ "ticket": { "id": "aaaabbbb-cccc-dddd-eeee-ffff00003333", "number": 42, "subject": "How to resolve the pending payments", "description": "I need your help in resolving the pending payments.", "priority": "medium", "status": "open", "category": "Questions", "sub_category_one": "Billing", "sub_category_two": "Refund", "group": "Sales", "tags": [ "refund", "urgent" ], "assignee": { "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111", "name": "Oliver Smith", "email": "oliver@example.com" }, "customer": { "id": "aaaabbbb-cccc-dddd-eeee-ffff00002222", "name": "John Luther", "email": "john@example.com", "phone_numbers": [ "+1234567890" ] }, "fields": [ { "field_name": "Country", "field_value": "USA" } ] }}
API v1 (deprecated)
Update ticket
Updates a ticket.
PUT
/
tickets
/
{ticket_id}
Update ticket
curl --request PUT \ --url https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <x-api-key>' \ --data '{ "email": "john@example.com", "subject": "How to resolve the pending payments", "description": "I need your help in resolving the pending payments.", "ticket_fields": { "Country": "USA" }, "status": "closed", "priority": "urgent", "category": "Problem", "sub_category_one": "Billing", "sub_category_two": "Refund", "group": "sales", "assignee_email": "oliver@example.com", "tags": [ "refund", "urgent" ], "resolution_due_date": "2025-12-31T23:59:59Z"}'
const options = {
method: 'PUT',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john@example.com',
subject: 'How to resolve the pending payments',
description: 'I need your help in resolving the pending payments.',
ticket_fields: {Country: 'USA'},
status: 'closed',
priority: 'urgent',
category: 'Problem',
sub_category_one: 'Billing',
sub_category_two: 'Refund',
group: 'sales',
assignee_email: 'oliver@example.com',
tags: ['refund', 'urgent'],
resolution_due_date: '2025-12-31T23:59:59Z'
})
};
fetch('https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests
url = "https://{your-subdomain}.neetodesk.com/api/v1/public/tickets/{ticket_id}"
payload = {
"email": "john@example.com",
"subject": "How to resolve the pending payments",
"description": "I need your help in resolving the pending payments.",
"ticket_fields": { "Country": "USA" },
"status": "closed",
"priority": "urgent",
"category": "Problem",
"sub_category_one": "Billing",
"sub_category_two": "Refund",
"group": "sales",
"assignee_email": "oliver@example.com",
"tags": ["refund", "urgent"],
"resolution_due_date": "2025-12-31T23:59:59Z"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
{ "ticket": { "id": "aaaabbbb-cccc-dddd-eeee-ffff00003333", "number": 42, "subject": "How to resolve the pending payments", "description": "I need your help in resolving the pending payments.", "priority": "medium", "status": "open", "category": "Questions", "sub_category_one": "Billing", "sub_category_two": "Refund", "group": "Sales", "tags": [ "refund", "urgent" ], "assignee": { "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111", "name": "Oliver Smith", "email": "oliver@example.com" }, "customer": { "id": "aaaabbbb-cccc-dddd-eeee-ffff00002222", "name": "John Luther", "email": "john@example.com", "phone_numbers": [ "+1234567890" ] }, "fields": [ { "field_name": "Country", "field_value": "USA" } ] }}
Deprecated: This is a v1 endpoint. It will continue to work, but we
recommend migrating to the v2 equivalent for improved REST
compliance (correct HTTP status codes, consistent response envelopes, and
hyphenated URLs).
Replace {your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
X-Api-Key
string
default:your-api-key
required
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
ticket_id
string
required
ID of the ticket to retrieve comments for. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to Getting Ticket ID section for detailed instructions.
Body
application/json
email
string
Email address of the customer.
Example:
"john@example.com"
subject
string
Subject for the ticket.
Example:
"How to resolve the pending payments"
description
string
Description for the ticket.
Example:
"I need your help in resolving the pending payments."
ticket_fields
object
Custom ticket fields. Refer to the ticket fields article for more details.
Example:
{ "Country": "USA" }
status
string
Status for the ticket. Default statuses include new, open, on_hold, waiting_on_customer, closed, spam, trash. Custom statuses are also supported.
Example:
"closed"
priority
enum<string>
Priority for the ticket.
Available options:
low,
medium,
high,
urgent
Example:
"urgent"
category
string
Category for the ticket. Default categories include None, Questions, Incident, Problem, Feature request, Refund. Custom categories are also supported.
Example:
"Problem"
sub_category_one
string
Sub-category for the ticket.
Example:
"Billing"
sub_category_two
string
Second-level sub-category for the ticket.
Example:
"Refund"
group
string
Name of an existing group.
Example:
"sales"
assignee_email
string<email>
Email address belonging to a team member.
Example:
"oliver@example.com"
tags
string[]
Tags to assign to the ticket.
Example:
["refund", "urgent"]
resolution_due_date
string<date-time>
Resolution due date for the ticket.
Example:
"2025-12-31T23:59:59Z"
Response
200 - application/json
OK - Request succeeded
ticket
object
Hide child attributes
ticket.id
string
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00003333"
ticket.number
integer
Example:
42
ticket.subject
string
Example:
"How to resolve the pending payments"
ticket.description
string
Example:
"I need your help in resolving the pending payments."
ticket.priority
string
Example:
"medium"
ticket.status
string
Example:
"open"
ticket.category
string | null
Example:
"Questions"
ticket.sub_category_one
string | null
Example:
"Billing"
ticket.sub_category_two
string | null
Example:
"Refund"
ticket.group
string | null
Name of the assigned group.
Example:
"Sales"
ticket.tags
string[]
Example:
["refund", "urgent"]
ticket.assignee
object | null
The assigned team member. Absent if unassigned.
Hide child attributes
ticket.assignee.id
string
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00001111"
ticket.assignee.name
string
Example:
"Oliver Smith"
ticket.assignee.email
string
Example:
"oliver@example.com"
ticket.customer
object | null
Hide child attributes
ticket.customer.id
string
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00002222"
ticket.customer.name
string
Example:
"John Luther"
ticket.customer.email
string
Example:
"john@example.com"
ticket.customer.phone_numbers
string[]
Example:
["+1234567890"]
ticket.fields
object[]
Custom ticket field values.
Hide child attributes
ticket.fields.field_name
string
Example:
"Country"
ticket.fields.field_value
string
Example:
"USA"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"NeetoDesk Docs","description":"Developer docs for NeetoDesk: the REST API and the CLI.","colors":{"primary":"#10B981","light":"#34D399","dark":"#059669"},"logo":"https://mintcdn.com/neetodesk-apis/fcjWFGChu0_ZhoJ8/assets/logo.svg?fit=max\u0026auto=format\u0026n=fcjWFGChu0_ZhoJ8\u0026q=85\u0026s=314a72c2599a6af037c5b2afffb942c1","favicon":"https://mintcdn.com/neetodesk-apis/t1YrhlPv0gVQ5VAV/assets/favicon.svg?fit=max\u0026auto=format\u0026n=t1YrhlPv0gVQ5VAV\u0026q=85\u0026s=c3ecdef5c4603c7c449f61988b8a9821","api":{"params":{"expanded":"all"},"playground":{"display":"interactive","proxy":true},"examples":{"defaults":"all","languages":["curl","javascript","python"]}},"appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://www.neeto.com/neetodesk/blog","label":"Blog"},{"href":"https://help.neetodesk.com/","label":"Help center"},{"href":"https://neetodesk.com/","label":"NeetoDesk"}]},"footer":{"socials":{"x":"https://x.com/neetohq","linkedin":"https://www.linkedin.com/company/neeto","youtube":"https://www.youtube.com/channel/UCoQ3Kv2JdZ51WZJ3QFFcI9g","slack":"https://neeto.com/community"}},"styling":{"eyebrows":"section","codeblocks":"system","latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"neetodesk-apis","hasAudioNarration":false,"actualSubdomain":"neetodesk-apis","customDomains":["apidocs.neetodesk.com"],"gitSource":{"type":"github","owner":"neetodeskapis","repo":"neeto-desk-api","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6afaac9093c081f9057604c1","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API","count":52},{"language":"default","tag":"API v1 (deprecated)","count":17},{"language":"default","tag":"CLI","count":16},{"language":"default","tag":"Getting started","count":13},{"language":"default","tag":"Commands","count":9},{"language":"default","tag":"Ticket fields","count":5},{"language":"default","tag":"Reports","count":5},{"language":"default","tag":"Team members","count":5},{"language":"default","tag":"Comments","count":4},{"language":"default","tag":"Tickets","count":4}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"theme.css","content":":root{--primary-green: #0da874;--white: #ffffff;--light-gray: #eeeeee;--dark-gray: #1f2937;--text-white: rgb(255, 255, 255);--text-light: rgb(238, 238, 238)}#navbar-transition,[data-nav=\"true\"]{background-color:var(--primary-green)!important}.nav-logo{filter:brightness(0) invert(1)!important;height:20px!important;width:auto!important;max-width:none!important}[data-nav=\"true\"] a,#navbar-transition a,#navbar a,.navbar-link{color:var(--text-white)!important}[data-nav=\"true\"] a:hover,#navbar-transition a:hover,#navbar a:hover,.navbar-link:hover{color:var(--text-light)!important}#navbar button,#navbar span,#navbar div,#navbar p,#navbar .text-sm,#navbar .text-xs{color:var(--white)!important}#navbar .bg-gray-500,#navbar .bg-gray-400,#navbar .bg-gray-600,#navbar .bg-gray-300{background-color:var(--white)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"]{background-color:var(--white)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .navbar-link a,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .text-gray-600,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .dark\\:text-gray-400{color:var(--dark-gray)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .navbar-link a:hover,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .hover\\:text-gray-900:hover,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .dark\\:hover\\:text-gray-300:hover{color:var(--primary-green)!important}#search-bar-entry button,#search-bar-entry span,#search-bar-entry div,#search-bar-entry p,#search-bar-entry img,#search-bar-entry svg,#search-bar-entry .text-sm,#search-bar-entry .text-xs{color:var(--primary-green)!important}"}],"page":{"pagePath":"api-reference-v1/tickets/update","slug":"/api-reference-v1/tickets/update","pageMetadata":{"title":"Update ticket","openapi":"bundled-v1/tickets.yaml PUT /tickets/{ticket_id}","description":"Updates a ticket.","href":"/api-reference-v1/tickets/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Updates a ticket.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Info,Warning}=_components;if(!Info)_missingMdxReference(`Info`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Deprecated:`}),` This is a `,_jsx(_components.strong,{children:`v1`}),` endpoint. It will continue to work, but we\nrecommend migrating to the `,_jsx(_components.a,{href:`/api`,children:`v2 equivalent`}),` for improved REST\ncompliance (correct HTTP status codes, consistent response envelopes, and\nhyphenated URLs).`]})}),`\n`,_jsxs(Info,{children:[`Replace `,_jsx(_components.code,{children:`{your-subdomain}`}),` with your workspace’s subdomain. `,_jsx(`br`,{}),` Learn how to find your subdomain in `,_jsx(_components.a,{href:`/api/workspace-subdomain`,children:`Workspace subdomain`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Update ticket","openapi":"bundled-v1/tickets.yaml PUT /tickets/{ticket_id}","description":"Updates a ticket.","href":"/api-reference-v1/tickets/update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/neetodesk-apis/5f665fb1f1635bc3/os-detect.js"],"openApiReferenceData":{"operation":{"summary":"Update ticket","description":"Updates a ticket.","parameters":["aa245d1d-a5ac-488a-9e54-13e147a03224","d8057e9b-070a-4a84-bb8c-2c982c0075cd"],"requestBody":"bff3b0af-9ac2-45f0-9e03-a91384fcd686","responses":{"200":"a61a0dbe-02b4-4f35-8bd9-89bde7f7707b"},"method":"put","type":"path","servers":["4bd56931-7429-4249-8b3d-fcbda52f7e00"],"security":[],"path":"/tickets/{ticket_id}","baseUrlOptions":["https://{your-subdomain}.neetodesk.com/api/v1/public"],"title":"Update ticket","codeSamples":[],"requestExampleLanguages":["bash","javascript","python"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"aa245d1d-a5ac-488a-9e54-13e147a03224":{"in":"path","name":"ticket_id","description":"ID of the ticket to retrieve comments for. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to [Getting Ticket ID](/api/getting-ticket-id) section for detailed instructions.","required":true,"schema":{"type":"string","isRequired":true,"description":"ID of the ticket to retrieve comments for. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to [Getting Ticket ID](/api/getting-ticket-id) section for detailed instructions.","uniqueKey":"","typeLabel":"string"}},"d8057e9b-070a-4a84-bb8c-2c982c0075cd":{"in":"header","name":"X-Api-Key","description":"Use the X-Api-Key header to provide your workspace API key. Refer to [Authentication](/api/authentication) for more information.","required":true,"schema":{"type":"string","default":"your-api-key","isRequired":true,"description":"Use the X-Api-Key header to provide your workspace API key. Refer to [Authentication](/api/authentication) for more information.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","description":"Email address of the customer.","example":"john@example.com","uniqueKey":"email","typeLabel":"string"},"subject":{"type":"string","description":"Subject for the ticket.","example":"How to resolve the pending payments","uniqueKey":"subject","typeLabel":"string"},"description":{"type":"string","description":"Description for the ticket.","example":"I need your help in resolving the pending payments.","uniqueKey":"description","typeLabel":"string"},"ticket_fields":{"type":"object","description":"Custom ticket fields. Refer to the [ticket fields](https://help.neetodesk.com/articles/ticket-fields) article for more details.","example":{"Country":"USA"},"uniqueKey":"ticket_fields","typeLabel":"object"},"status":{"type":"string","description":"Status for the ticket. Default statuses include `new`, `open`, `on_hold`, `waiting_on_customer`, `closed`, `spam`, `trash`. Custom statuses are also supported.","example":"closed","uniqueKey":"status","typeLabel":"string"},"priority":{"type":"string","description":"Priority for the ticket.","enum":["low","medium","high","urgent"],"example":"urgent","uniqueKey":"priority","typeLabel":"enum\u003cstring>"},"category":{"type":"string","description":"Category for the ticket. Default categories include `None`, `Questions`, `Incident`, `Problem`, `Feature request`, `Refund`. Custom categories are also supported.","example":"Problem","uniqueKey":"category","typeLabel":"string"},"sub_category_one":{"type":"string","description":"Sub-category for the ticket.","example":"Billing","uniqueKey":"sub_category_one","typeLabel":"string"},"sub_category_two":{"type":"string","description":"Second-level sub-category for the ticket.","example":"Refund","uniqueKey":"sub_category_two","typeLabel":"string"},"group":{"type":"string","description":"Name of an existing group.","example":"sales","uniqueKey":"group","typeLabel":"string"},"assignee_email":{"type":"string","format":"email","description":"Email address belonging to a team member.","example":"oliver@example.com","uniqueKey":"assignee_email","typeLabel":"string\u003cemail>"},"tags":{"type":"array","items":{"type":"string","uniqueKey":"tags.items.[INDEX]","typeLabel":"string"},"description":"Tags to assign to the ticket.","example":["refund","urgent"],"uniqueKey":"tags","typeLabel":"string[]"},"resolution_due_date":{"type":"string","format":"date-time","description":"Resolution due date for the ticket.","example":"2025-12-31T23:59:59Z","uniqueKey":"resolution_due_date","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"email":"john@example.com","subject":"How to resolve the pending payments","description":"I need your help in resolving the pending payments.","ticket_fields":{"Country":"USA"},"status":"closed","priority":"urgent","category":"Problem","sub_category_one":"Billing","sub_category_two":"Refund","group":"sales","assignee_email":"oliver@example.com","tags":["refund","urgent"],"resolution_due_date":"2025-12-31T23:59:59Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"a61a0dbe-02b4-4f35-8bd9-89bde7f7707b":{"description":"OK - Request succeeded","content":{"application/json":{"schema":{"type":"object","properties":{"ticket":{"type":"object","properties":{"id":{"type":"string","example":"aaaabbbb-cccc-dddd-eeee-ffff00003333","uniqueKey":"ticket.id","typeLabel":"string"},"number":{"type":"integer","example":42,"uniqueKey":"ticket.number","typeLabel":"integer"},"subject":{"type":"string","example":"How to resolve the pending payments","uniqueKey":"ticket.subject","typeLabel":"string"},"description":{"type":"string","example":"I need your help in resolving the pending payments.","uniqueKey":"ticket.description","typeLabel":"string"},"priority":{"type":"string","example":"medium","uniqueKey":"ticket.priority","typeLabel":"string"},"status":{"type":"string","example":"open","uniqueKey":"ticket.status","typeLabel":"string"},"category":{"oneOf":[{"type":"string","example":"Questions","uniqueKey":"ticket.category.oneOf.0","typeLabel":"string"},{"type":"null","example":"Questions","uniqueKey":"ticket.category.oneOf.1","typeLabel":"null"}],"uniqueKey":"ticket.category","typeLabel":"string | null"},"sub_category_one":{"oneOf":[{"type":"string","example":"Billing","uniqueKey":"ticket.sub_category_one.oneOf.0","typeLabel":"string"},{"type":"null","example":"Billing","uniqueKey":"ticket.sub_category_one.oneOf.1","typeLabel":"null"}],"uniqueKey":"ticket.sub_category_one","typeLabel":"string | null"},"sub_category_two":{"oneOf":[{"type":"string","example":"Refund","uniqueKey":"ticket.sub_category_two.oneOf.0","typeLabel":"string"},{"type":"null","example":"Refund","uniqueKey":"ticket.sub_category_two.oneOf.1","typeLabel":"null"}],"uniqueKey":"ticket.sub_category_two","typeLabel":"string | null"},"group":{"oneOf":[{"type":"string","description":"Name of the assigned group.","example":"Sales","uniqueKey":"ticket.group.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the assigned group.","example":"Sales","uniqueKey":"ticket.group.oneOf.1","typeLabel":"null"}],"uniqueKey":"ticket.group","typeLabel":"string | null"},"tags":{"type":"array","items":{"type":"string","uniqueKey":"ticket.tags.items.[INDEX]","typeLabel":"string"},"example":["refund","urgent"],"uniqueKey":"ticket.tags","typeLabel":"string[]"},"assignee":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","example":"aaaabbbb-cccc-dddd-eeee-ffff00001111","uniqueKey":"ticket.assignee.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","example":"Oliver Smith","uniqueKey":"ticket.assignee.oneOf.0.name","typeLabel":"string"},"email":{"type":"string","example":"oliver@example.com","uniqueKey":"ticket.assignee.oneOf.0.email","typeLabel":"string"}},"description":"The assigned team member. Absent if unassigned.","uniqueKey":"ticket.assignee.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","example":"aaaabbbb-cccc-dddd-eeee-ffff00001111"},"name":{"type":"string","example":"Oliver Smith"},"email":{"type":"string","example":"oliver@example.com"}},"description":"The assigned team member. Absent if unassigned.","uniqueKey":"ticket.assignee.oneOf.1","typeLabel":"null"}],"uniqueKey":"ticket.assignee","typeLabel":"object | null"},"customer":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","example":"aaaabbbb-cccc-dddd-eeee-ffff00002222","uniqueKey":"ticket.customer.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","example":"John Luther","uniqueKey":"ticket.customer.oneOf.0.name","typeLabel":"string"},"email":{"type":"string","example":"john@example.com","uniqueKey":"ticket.customer.oneOf.0.email","typeLabel":"string"},"phone_numbers":{"type":"array","items":{"type":"string","uniqueKey":"ticket.customer.oneOf.0.phone_numbers.items.[INDEX]","typeLabel":"string"},"example":["+1234567890"],"uniqueKey":"ticket.customer.oneOf.0.phone_numbers","typeLabel":"string[]"}},"uniqueKey":"ticket.customer.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","example":"aaaabbbb-cccc-dddd-eeee-ffff00002222"},"name":{"type":"string","example":"John Luther"},"email":{"type":"string","example":"john@example.com"},"phone_numbers":{"type":"array","items":{"type":"string"},"example":["+1234567890"]}},"uniqueKey":"ticket.customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"ticket.customer","typeLabel":"object | null"},"fields":{"type":"array","description":"Custom ticket field values.","items":{"type":"object","properties":{"field_name":{"type":"string","example":"Country","uniqueKey":"ticket.fields.items.[INDEX].field_name","typeLabel":"string"},"field_value":{"type":"string","example":"USA","uniqueKey":"ticket.fields.items.[INDEX].field_value","typeLabel":"string"}},"uniqueKey":"ticket.fields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"ticket.fields","typeLabel":"object[]"}},"uniqueKey":"ticket","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"ticket":{"id":"aaaabbbb-cccc-dddd-eeee-ffff00003333","number":42,"subject":"How to resolve the pending payments","description":"I need your help in resolving the pending payments.","priority":"medium","status":"open","category":"Questions","sub_category_one":"Billing","sub_category_two":"Refund","group":"Sales","tags":["refund","urgent"],"assignee":{"id":"aaaabbbb-cccc-dddd-eeee-ffff00001111","name":"Oliver Smith","email":"oliver@example.com"},"customer":{"id":"aaaabbbb-cccc-dddd-eeee-ffff00002222","name":"John Luther","email":"john@example.com","phone_numbers":["+1234567890"]},"fields":[{"field_name":"Country","field_value":"USA"}]}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"4bd56931-7429-4249-8b3d-fcbda52f7e00":{"description":"NeetoDesk APIs","url":"https://{your-subdomain}.neetodesk.com/api/v1/public","variables":{"your-subdomain":{"default":"spinkart","description":"Replace **spinkart** with your [workspace's subdomain](/api/workspace-subdomain)."}}}}},"originalFileLocation":"bundled-v1/tickets.yaml"},"subdomain":"neetodesk-apis","siteName":"NeetoDesk Docs","title":"Update ticket - NeetoDesk Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-29T18:24:37.572Z","originalFileLocation":"api-reference-v1/tickets/update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Updates a ticket.\">\u003cmeta data-mint-head name=\"application-name\" content=\"NeetoDesk Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update ticket - NeetoDesk Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Updates a ticket.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"NeetoDesk Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://neetodesk-apis.mintlify.site/_mintlify/api/og/v2?division=API+v1+%28deprecated%29\u0026amp;title=Update+ticket\u0026amp;description=Updates+a+ticket.\u0026amp;theme=4fc5dc38702463bc51e5de60\u0026amp;signature=a50eccd5a8264ef490c27c7ce99cf4f57236e0f0771c99a814cccdba1246c4dd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update ticket - NeetoDesk Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Updates a ticket.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://neetodesk-apis.mintlify.site/_mintlify/api/og/v2?division=API+v1+%28deprecated%29\u0026amp;title=Update+ticket\u0026amp;description=Updates+a+ticket.\u0026amp;theme=4fc5dc38702463bc51e5de60\u0026amp;signature=a50eccd5a8264ef490c27c7ce99cf4f57236e0f0771c99a814cccdba1246c4dd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/neetodesk-apis/tq8Gmpoy_-dPL6IW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"NeetoDesk Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#10B981\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference-v1/tickets/update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.neetodesk.com/#organization\",\"name\":\"NeetoDesk Docs\",\"url\":\"https://apidocs.neetodesk.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/neetodesk-apis/fcjWFGChu0_ZhoJ8/assets/logo.svg?fit=max\u0026auto=format\u0026n=fcjWFGChu0_ZhoJ8\u0026q=85\u0026s=314a72c2599a6af037c5b2afffb942c1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.neetodesk.com#website\",\"name\":\"NeetoDesk Docs\",\"url\":\"https://apidocs.neetodesk.com\",\"publisher\":{\"@id\":\"https://apidocs.neetodesk.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update#webpage\",\"url\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update\",\"name\":\"Update ticket\",\"description\":\"Updates a ticket.\",\"dateModified\":\"2026-09-29T18:24:37.572Z\",\"isPartOf\":{\"@id\":\"https://apidocs.neetodesk.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API v1 (deprecated)\",\"item\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/list\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update ticket\",\"item\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update#apireference\",\"headline\":\"Update ticket\",\"name\":\"Update ticket\",\"description\":\"Updates a ticket.\",\"url\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.neetodesk.com/api-reference-v1/tickets/update#webpage\"},\"dateModified\":\"2026-09-29T18:24:37.572Z\",\"publisher\":{\"@id\":\"https://apidocs.neetodesk.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.neetodesk.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"NeetoDesk Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"NeetoDesk Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference-v1/tickets/update.md","siteName":"NeetoDesk Docs","nav":{"global":null,"tabs":[{"tab":"API","icon":"code","groups":[{"group":"Getting started","icon":"rocket","pages":[{"title":"NeetoDesk API","href":"/api/introduction"},{"title":"Workspace subdomain","href":"/api/workspace-subdomain"},{"title":"Authentication","href":"/api/authentication"},{"title":"Pagination","href":"/api/pagination"},{"title":"HTTP response codes","href":"/api/response-codes"},{"title":"Getting the ticket ID","href":"/api/getting-ticket-id"}]},{"group":"Tickets","icon":"code","pages":[{"title":"List tickets","openapi":"bundled/tickets.yaml GET /tickets","href":"/api/tickets/list"},{"title":"Create ticket","openapi":"bundled/tickets.yaml POST /tickets","href":"/api/tickets/create"},{"title":"Get ticket","openapi":"bundled/tickets.yaml GET /tickets/{ticket_id}","href":"/api/tickets/get"},{"title":"Update ticket","openapi":"bundled/tickets.yaml PUT /tickets/{ticket_id}","href":"/api/tickets/update"}]},{"group":"Comments","icon":"code","pages":[{"title":"List comments","openapi":"bundled/comments.yaml GET /tickets/{ticket_id}/comments","href":"/api/comments/list"},{"title":"Get a comment","openapi":"bundled/comments.yaml GET /tickets/{ticket_id}/comments/{comment_id}","href":"/api/comments/get"},{"title":"Create comment","openapi":"bundled/comments.yaml POST /tickets/{ticket_id}/comments","href":"/api/comments/create"},{"title":"Create draft comment","openapi":"bundled/comments.yaml POST /tickets/{ticket_id}/drafts","href":"/api/comments/create-draft"}]},{"group":"Attachments","icon":"paperclip","pages":[{"title":"Upload attachment","openapi":"bundled/attachments.yaml POST /attachments","href":"/api/attachments/create"},{"title":"Reserve an attachment upload","openapi":"bundled/attachments.yaml POST /attachment_uploads","href":"/api/attachments/create-upload"}]},{"group":"Customers","icon":"code","pages":[{"title":"List customers","openapi":"bundled/customers.yaml GET /customers","href":"/api/customers/list"},{"title":"Get customer","openapi":"bundled/customers.yaml GET /customers/{customer_id}","href":"/api/customers/get"},{"title":"Create customer","openapi":"bundled/customers.yaml POST /customers","href":"/api/customers/create"}]},{"group":"Ticket fields","icon":"list-check","pages":[{"title":"List ticket fields","openapi":"bundled/fields.yaml GET /fields","href":"/api/fields/list"},{"title":"Get ticket field","openapi":"bundled/fields.yaml GET /fields/{field_id}","href":"/api/fields/get"},{"title":"Create ticket field","openapi":"bundled/fields.yaml POST /fields","href":"/api/fields/create"},{"title":"Update ticket field","openapi":"bundled/fields.yaml PATCH /fields/{field_id}","href":"/api/fields/update"},{"title":"Delete ticket field","openapi":"bundled/fields.yaml DELETE /fields/{field_id}","href":"/api/fields/delete"}]},{"group":"Forms","icon":"clipboard-list","pages":[{"title":"List forms","openapi":"bundled/forms.yaml GET /forms","href":"/api/forms/list"}]},{"group":"Reports","icon":"chart-line","pages":[{"title":"Get ticket volume report","openapi":"bundled/reports.yaml GET /reports/tickets","href":"/api/reports/get-ticket-volume"},{"title":"Get ticket volume time series","openapi":"bundled/reports.yaml GET /reports/ticket-time-series","href":"/api/reports/get-ticket-time-series"},{"title":"Get agent performance report","openapi":"bundled/reports.yaml GET /reports/agents","href":"/api/reports/get-agent-performance"},{"title":"Get team performance report","openapi":"bundled/reports.yaml GET /reports/groups","href":"/api/reports/get-team-performance"},{"title":"Get customer satisfaction report","openapi":"bundled/reports.yaml GET /reports/surveys","href":"/api/reports/get-customer-satisfaction"}]},{"group":"Team members","icon":"user-group","pages":[{"title":"List team members","openapi":"bundled/team-members.yaml GET /team-members","href":"/api/team-members/list"},{"title":"Get team member details","openapi":"bundled/team-members.yaml GET /team-members/{team_member_id}","href":"/api/team-members/get"},{"title":"Add team members","openapi":"bundled/team-members.yaml POST /team-members","href":"/api/team-members/add"},{"title":"Update team member","openapi":"bundled/team-members.yaml PATCH /team-members/{team_member_id}","href":"/api/team-members/update"},{"title":"Remove a team member","openapi":"bundled/team-members.yaml DELETE /team-members/{team_member_id}","href":"/api/team-members/remove"}]},{"group":"API v1 (deprecated)","icon":"triangle-exclamation","pages":[{"title":"List tickets","openapi":"bundled-v1/tickets.yaml GET /tickets","href":"/api-reference-v1/tickets/list"},{"title":"Create ticket","openapi":"bundled-v1/tickets.yaml POST /tickets","href":"/api-reference-v1/tickets/create"},{"title":"Get ticket","openapi":"bundled-v1/tickets.yaml GET /tickets/{ticket_id}","description":"Retrieves details of a specific ticket.","href":"/api-reference-v1/tickets/get"},{"title":"Update ticket","openapi":"bundled-v1/tickets.yaml PUT /tickets/{ticket_id}","href":"/api-reference-v1/tickets/update"},{"title":"List comments","openapi":"bundled-v1/comments.yaml GET /tickets/{ticket_id}/comments","description":"Retrieves all comments for a specific ticket.","href":"/api-reference-v1/comments/list"},{"title":"Create comment","openapi":"bundled-v1/comments.yaml POST /comments","href":"/api-reference-v1/comments/create"},{"title":"Create draft comment","openapi":"bundled-v1/comments.yaml POST /tickets/{ticket_id}/drafts","href":"/api-reference-v1/comments/create-draft"},{"title":"Create customer","openapi":"bundled-v1/customers.yaml POST /customers","href":"/api-reference-v1/customers/create"},{"title":"Get ticket volume report","openapi":"bundled-v1/reports.yaml GET /reports/tickets","href":"/api-reference-v1/reports/get-ticket-volume"},{"title":"Get ticket volume time series","openapi":"bundled-v1/reports.yaml GET /reports/tickets/time_series","href":"/api-reference-v1/reports/get-ticket-time-series"},{"title":"Get agent performance report","openapi":"bundled-v1/reports.yaml GET /reports/agents","href":"/api-reference-v1/reports/get-agent-performance"},{"title":"Get team performance report","openapi":"bundled-v1/reports.yaml GET /reports/groups","href":"/api-reference-v1/reports/get-team-performance"},{"title":"Get customer satisfaction report","openapi":"bundled-v1/reports.yaml GET /reports/surveys","href":"/api-reference-v1/reports/get-customer-satisfaction"},{"title":"List team members","openapi":"bundled-v1/team-members.yaml GET /team_members","href":"/api-reference-v1/team-members/list"},{"title":"Add team members","openapi":"bundled-v1/team-members.yaml POST /team_members","href":"/api-reference-v1/team-members/add"},{"title":"Update team member","openapi":"bundled-v1/team-members.yaml PATCH /team_members/{team_member_id}","href":"/api-reference-v1/team-members/update"},{"title":"Remove a team member","openapi":"bundled-v1/team-members.yaml DELETE /team_members/{team_member_id}","href":"/api-reference-v1/team-members/remove"}]}]},{"tab":"CLI","icon":"rectangle-terminal","pages":[{"title":"CLI","href":"/cli/introduction"}]}]},"basePath":"","title":"Update ticket - NeetoDesk Docs","deploymentId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","buildId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-jJHA3WSo.js","utils-DbZn3Mjn.js","cloneDeep-CnBnaSyy.js","_Uint8Array-CMQtTgBR.js","isObject-FP1Yky1u.js","utils-Bl2DvzOJ.js","addUniqueKeysToSchema-BwOLo9p1.js","snippetPresets-BBiPpKa-.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-C0px4Tml.js","isEqual-zAyttAAO.js","usePlaygroundInputsStore-Dell6dGw.js","shallow-0VKqkSqN.js","getApiPlaygroundDisplay-CP_ctPEB.js","CodeSnippet-5L35ic0s.js","CodeSnippets-DOXbNhJw.js","Page-DRLI_2Ue.js","getPastedJson-VhzT9m2P.js","icon-CD8_AtCO.js","MethodPill-DGgOMftG.js","DuplicateIcon-DZ6A_EtN.js","createIcon-DUl4oM5f.js","DynamicMarkdown-BGHukeRM.js","SectionHeading-ChrEUs8u.js","axios-vUo_bRtp.js","Markdown-Dj-na-_-.js","dist-C5gjFYHe.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-DEBW87tT.js"]}